- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
libfreehand_utils.h File Reference
`#include <stdio.h>`
`#include <string>`
`#include <math.h>`
`#include <librevenge/librevenge.h>`
`#include <stdint.h>`
`#include <inttypes.h>`

Go to the source code of this file.

## Classes
class | libfreehand::EndOfStreamException
class | libfreehand::GenericException

## Namespaces
| libfreehand

## Macros
#define | M_PI 3.14159265358979323846
#define | FH_EPSILON 1E-6
#define | FH_ALMOST_ZERO(m) (fabs(m) <= FH_EPSILON)
#define | FH_DEBUG_MSG(M)
#define | FH_DEBUG(M)

## Functions
uint8_t | libfreehand::readU8 (librevenge::RVNGInputStream *input)
uint16_t | libfreehand::readU16 (librevenge::RVNGInputStream *input)
uint32_t | libfreehand::readU32 (librevenge::RVNGInputStream *input)
int8_t | libfreehand::readS8 (librevenge::RVNGInputStream *input)
int16_t | libfreehand::readS16 (librevenge::RVNGInputStream *input)
int32_t | libfreehand::readS32 (librevenge::RVNGInputStream *input)

## Macro Definition Documentation

#define FH_ALMOST_ZERO | ( |  | m | ) | (fabs(m) <= FH_EPSILON)

Referenced by libfreehand::FHTransform::applyToArc(), and libfreehand::FHParser::readRectangle().

#define FH_DEBUG | ( |  | M | ) |

#define FH_DEBUG_MSG | ( |  | M | ) |

Referenced by libfreehand::FHParser::parseDictionary(), libfreehand::FHParser::parseRecord(), libfreehand::FHParser::parseRecordList(), libfreehand::FHParser::parseRecords(), libfreehand::FHParser::readMName(), libfreehand::FHParser::readMString(), libfreehand::FHParser::readPath(), libfreehand::readU16(), libfreehand::readU32(), libfreehand::readU8(), and libfreehand::FHParser::readUString().

#define FH_EPSILON 1E-6

#define M_PI 3.14159265358979323846